fusebox
Enthusiast
Enthusiast

Conversion Task Fails With Agent Error When Trying To P2V RHEL5 Machine Using Enterprise Converter 4.0

Jump to solution

Hi,

I have a physical machine running RHEL5 and which I need to convert as VM onto an ESX 3.5(Update 1) Host on the network. I am using the enterprise converter 4.0 boot cd to perform this task. When I click on import machine and try to convert it,the task fails at 1% with an converter agent error. I managed to get the converter logs onto a floppy. Attaching the client and converter agent logs for analysis. From the error it seems to be not able to import or clone the source volume. Would be really helpful if you could take a look at it and guide Me in the right way.

Thanks In Advance

0 Kudos
1 Solution

Accepted Solutions
IamTHEvilONE
Immortal
Immortal

Converter 4.0.0 is referred to as the converter plug-in, and is only available via VMware VirtualCenter. It is installed and warehoused within VC, and installs via the Infrastructure Client.

It was definitely suppose to be there, but is not as new as Converter 3.0.3. The only fair comparison is the build number associated with the release.

View solution in original post

0 Kudos
7 Replies
IamTHEvilONE
Immortal
Immortal

RHEL, or any linux derivative, is not supported. If you can get the 3.0.3 cold clone ISO, which is slightly newer, give it a whirl. Just make sure to keep all partitions the exact same size in the Source Data step.

http://www.vmware.com/support/converter/doc/releasenotes_conv303.html#guestos

Support for the following guest operating systems is Experimental. VMware Converter 3 can clone source images containing these operating systems, but the destination virtual machine may or may not work without additional configuration after import. In particular, if the source image contains unsupported hardware, you might need to modify the configuration of the destination virtual machine before using it:

  • Linux

  • Windows NT 3.x

  • Windows ME

  • Windows 98

  • Windows 95

  • MS-DOS

After Converting Physical RHEL4 System to a Virtual Machine, System Cannot See Hard Disks and Kernel Panics:

http://kb.vmware.com/kb/1002402

fusebox
Enthusiast
Enthusiast

Thanks.Yeah,thats exactly what I tried after failing twice with 4.0. The import started successfully with 3.0.3 boot cd and is currently at 68%..Hoping it completes smoothly.I had already gone through the links which you posted.Any ideas as to why 4.0 failed with the import and was failing at 1%? One more doubt,why am I not able to find any info on Enterprise Converter 4.0 on the VMWare site and cant find even in the downloads section. It was there month ago and My colleague had downloaded it . Was it not supposed to be there or still not given a GA status? Strange...

0 Kudos
IamTHEvilONE
Immortal
Immortal

Converter 4.0.0 is referred to as the converter plug-in, and is only available via VMware VirtualCenter. It is installed and warehoused within VC, and installs via the Infrastructure Client.

It was definitely suppose to be there, but is not as new as Converter 3.0.3. The only fair comparison is the build number associated with the release.

0 Kudos
fusebox
Enthusiast
Enthusiast

Ok! This makes sense. Now I remember,this Converter 4.0 boot cd iso was downloaded along with the VC,ESX media when we got the enterprise license. That is why it isnt there in the normal downloads section. But,going with the 4.0 notation it seems to be a bit misleading.Thanks a lot for this clarification.The info you gave was very helpful. The import is going fine with 3.0.3 till now. I am attaching the 4.0 build info fyi.Maybe a bug.It would have been better if VMware had mentioned about this in its documentation or support site. Are there any KB articles or doc mentioning the info you gave?

Thanks.

0 Kudos
fusebox
Enthusiast
Enthusiast

Will open a new thread incase of any import issues with 3.0.3.Thanks for all the support.

0 Kudos
fusebox
Enthusiast
Enthusiast

A closed thread which is discussing about this in detail. Going through your inputs in that thread.

http://communities.vmware.com/message/939407;jsessionid=627151B2A4503A7CD136F12959058A08

0 Kudos
IamTHEvilONE
Immortal
Immortal

According to the release notes, , Linux is not supported. This is the same stance as 3.0.3

But ... umm ... yeah .... I got a lot of posts, and I'm attempting to post lots more Smiley Wink

0 Kudos